Subject: Re: [PATCH 1/5] Makefile: drop builtins from MSVC pdb list

From: Taylor Blau <[email-masked]>
Date: Thu, 13 Aug 2020 11:04:28 -0400

On Thu, Aug 13, 2020 at 10:57:19AM -0400, Jeff King wrote:
> Over the years some more programs have become builtins, but nobody
> updated this MSVC-specific section of the file (which specifically says
> that it should not include builtins). Let's bring it up to date.
>
> Signed-off-by: Jeff King <[email-masked]>
> ---
> Given that nobody has mentioned this, it makes me wonder if anybody is
> even using this part of the Makefile at all these days. Or maybe having
> extra lines here isn't a problem (though it's also missing some entries,
> like one for git-bugreport).

If having extra entries didn't cause a problem, I would suspect that it
was just that. But that missing entries *also* doesn't cause a problem,
I'd suspect that this section of the Makefile just isn't being used.

Of course, I'm not using it since I'm not on Windows, but maybe dscho or
Stolee would know if there are legitimate uses. Of course, if there
aren't, I'm favor of getting rid of this section entirely.

>  Makefile | 2 --
>  1 file changed, 2 deletions(-)
>
> diff --git a/Makefile b/Makefile
> index 65f8cfb236..271b96348e 100644
> --- a/Makefile
> +++ b/Makefile
> @@ -2901,7 +2901,6 @@ ifdef MSVC
>  	# because it is just a copy/hardlink of git.exe, rather than a unique binary.
>  	$(INSTALL) git.pdb '$(DESTDIR_SQ)$(bindir_SQ)'
>  	$(INSTALL) git-shell.pdb '$(DESTDIR_SQ)$(bindir_SQ)'
> -	$(INSTALL) git-upload-pack.pdb '$(DESTDIR_SQ)$(bindir_SQ)'
>  	$(INSTALL) git-credential-store.pdb '$(DESTDIR_SQ)$(gitexec_instdir_SQ)'
>  	$(INSTALL) git-daemon.pdb '$(DESTDIR_SQ)$(gitexec_instdir_SQ)'
>  	$(INSTALL) git-fast-import.pdb '$(DESTDIR_SQ)$(gitexec_instdir_SQ)'
> @@ -2912,7 +2911,6 @@ ifdef MSVC
>  	$(INSTALL) git-remote-http.pdb '$(DESTDIR_SQ)$(gitexec_instdir_SQ)'
>  	$(INSTALL) git-remote-testsvn.pdb '$(DESTDIR_SQ)$(gitexec_instdir_SQ)'
>  	$(INSTALL) git-sh-i18n--envsubst.pdb '$(DESTDIR_SQ)$(gitexec_instdir_SQ)'
> -	$(INSTALL) git-show-index.pdb '$(DESTDIR_SQ)$(gitexec_instdir_SQ)'
>  ifndef DEBUG
>  	$(INSTALL) $(vcpkg_rel_bin)/*.dll '$(DESTDIR_SQ)$(bindir_SQ)'
>  	$(INSTALL) $(vcpkg_rel_bin)/*.pdb '$(DESTDIR_SQ)$(bindir_SQ)'
> --
> 2.28.0.573.gec6564704b
>
Thanks,
Taylor